#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint idwise_flutter.podspec` to validate before publishing.
#


Pod::Spec.new do |s|
  s.name             = 'idwise_flutter_sdk'
  s.version          = '4.3.4'
  s.summary          = 'Flutter Plugin for IDWise SDK'
  s.description      = 'Flutter Plugin for IDWise SDK'
              
  s.homepage         = 'http://idwise.com'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Your Company' => 'email@example.com' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.static_framework = true
  s.dependency 'Flutter'
  s.platform = :ios, '12.0'

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
  s.swift_version = '5.0'
  
  s.preserve_paths = 'IDWiseSDK.xcframework/**/*'
  s.xcconfig = { 'OTHER_LDFLAGS' => '-framework IDWiseSDK' }
  s.vendored_frameworks = 'IDWiseSDK.xcframework'
  s.pod_target_xcconfig = {

    'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'arm64'
  }
  s.user_target_xcconfig = { 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'arm64' }

end
